edu.isi.pegasus.planner.catalog.site.impl.old.classes

## Class LRC

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.impl.old.classes.LRC

    public class LRC
    extends java.lang.Object

This is a data class that is used to store information about a local replica catalog, that is associated with a site in the pool configuration catalog.

The various attributes that can be associated with the the server are displayed in the following table.

Attribute Name | Attribute Description
--- | ---
url | the url string pointing to local replica catalog.

Version:
  $Revision$
Author:
  Gaurang Mehta gmehta@isi.edu, Karan Vahi vahi@isi.edu

### Field Summary

Fields
`private java.lang.String` `mLRCURL` The contact string to the lrc e.g rls://sukhna.isi.edu .

### Constructor Summary

Constructors
Constructor and Description
`LRC(java.lang.String url)` Constructor for the class.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getURL()` Returns the LRC url associated with a pool.
`void` `setURL(java.lang.String url)` Sets the url of the LRC associated with the object.
`java.lang.String` `toMultiLine()` Returns the textual description of the contents of `LRC` object in the multiline format.
`java.lang.String` `toString()` Returns the textual description of the contents of `LRC` object.
`java.lang.String` `toXML()` Returns the XML description of the contents of `LRC` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mLRCURL

    private java.lang.String mLRCURL

The contact string to the lrc e.g rls://sukhna.isi.edu .

### Constructor Detail

#### LRC

    public LRC(java.lang.String url)

Constructor for the class.

Parameters:
  `url` - the url for the local replica catalog.

### Method Detail

#### getURL

    public java.lang.String getURL()

Returns the LRC url associated with a pool.

Returns:
  the lrc url.

#### setURL

    public void setURL(java.lang.String url)

Sets the url of the LRC associated with the object.

Parameters:
  `url` - the url string.

#### toMultiLine

    public java.lang.String toMultiLine()

Returns the textual description of the contents of `LRC` object in the multiline format.

Returns:
  the textual description in multiline format.

#### toString

    public java.lang.String toString()

Returns the textual description of the contents of `LRC` object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the textual description.

#### toXML

    public java.lang.String toXML()

Returns the XML description of the contents of `LRC` object.

Returns:
  the xml description.